Livecode 6.7.3 and XCode 6.4

Getting into LiveCode for iOS? Ask your questions here.

Moderators: Klaus, FourthWorld, heatherlaine, robinmiller, kevinmiller

Post Reply
ekek
Posts: 51
Joined: Fri Sep 21, 2012 9:33 am

Livecode 6.7.3 and XCode 6.4

Post by ekek » Mon Aug 10, 2015 2:37 am

Just formatted my Mac and realized that after installing XCode 6.4 and LC 6.7.3 it is not possible to indicate the Mobile support

When I choose /Applications/XCode icon a message saying "The chosen folder is not a valid OS SDK"

What are the steps I must do in order to make it work again?


LC 7.0.6
----------
Trying the same with LC 7.0.6 the error message is: "The chosen folder is not a valid iOS SDK. Selected XCOde must have an iOS SDK among 5.1, 6.1, 7.1, 8.2, 8.3"
(image 2)
Attachments
screen2.png
screen.png

msellke
Posts: 22
Joined: Mon Oct 21, 2013 2:57 am

Re: Livecode 6.7.3 and XCode 6.4

Post by msellke » Mon Aug 10, 2015 9:58 am

You really want xCode 6.3 which is available here https://developer.apple.com/downloads/
This works with the current stable versions of 7.06 & 6.7.6 of livecode.

Cheers,
Matt

Klaus
Posts: 11200
Joined: Sat Apr 08, 2006 8:41 am
Location: Germany
Contact:

Re: Livecode 6.7.3 and XCode 6.4

Post by Klaus » Mon Aug 10, 2015 1:06 pm

Hi ekek,

you should use LC 7.1 DP1 and/or LC 6.6.7 RC!, they are compatible with Xcode 6.4.
Get them here: http://downloads.livecode.com/livecode/


Best

Klaus

Simon
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 3901
Joined: Sat Mar 24, 2007 2:54 am
Location: Palo Alto

Re: Livecode 6.7.3 and XCode 6.4

Post by Simon » Mon Aug 10, 2015 7:28 pm

This could be it's own forum, it's been asked so many times!
I wonder if on the LiveCode download page they could list which version of xCode works with which download?

Simon
I used to be a newbie but then I learned how to spell teh correctly and now I'm a noob!

Pistris
Posts: 126
Joined: Mon Jul 20, 2015 2:40 am

Re: Livecode 6.7.3 and XCode 6.4

Post by Pistris » Thu Aug 13, 2015 4:37 am

Simon you are 100% right
For a programming language that they are marketing very aggressively for the app making market
they are making that piece of vital information very difficult to find .

Edd.

An Klaus , live code versions jump from 6.6.5 to 6.7.0. i don't see any 6.6.7

FourthWorld
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 6837
Joined: Sat Apr 08, 2006 7:05 am
Location: Los Angeles
Contact:

Re: Livecode 6.7.3 and XCode 6.4

Post by FourthWorld » Thu Aug 13, 2015 6:35 am

Thanks for noting this. I had thought that info was in the Release Notes, but apparently not.

I've submitted an enhancement request for adding mobile system requirements for both target OS and build tools to the Release Notes for each LiveCode version:
http://quality.runrev.com/show_bug.cgi?id=15712
Richard Gaskin
Community volunteer LiveCode Community Liaison

LiveCode development, training, and consulting services: Fourth World Systems: http://FourthWorld.com
LiveCode User Group on Facebook : http://FaceBook.com/groups/LiveCodeUsers/

ekek
Posts: 51
Joined: Fri Sep 21, 2012 9:33 am

Re: Livecode 6.7.3 and XCode 6.4

Post by ekek » Thu Aug 13, 2015 7:53 am

Thanks guys!

I'm downloading LC 6.7.7 (thanks Klaus). Finishing I'll tell you what happens.

The day I posted the issue it still was not available.

See you! msellke, Klaus, SImon,Pistris, FourthWorld

Post Reply

Return to “iOS Deployment”